package com.ddabadi.stock.model;

import com.ddabadi.stock.model.base.Base;
import com.ddabadi.stock.model.enumerate.TransStatus;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Data
@NoArgsConstructor
@EqualsAndHashCode
@ToString
@Table(name="receiving_hd", schema = "public")
public class ReceivingHd extends Base implements Serializable {

    @Id
    @SequenceGenerator(name = "pk_receiving_seq", sequenceName = "receiving_seq", allocationSize=1)
    @GeneratedValue( strategy = GenerationType.SEQUENCE, generator="pk_receiving_seq")
    private String id;

    // Generated by System
    // RCyyMM9999
    // RC -> system parameter
    @Column(length = 10)
    private String receivingNumber;

    @ManyToOne
    @JoinColumn(name = "receive_supplier")
    private Supplier supplier;

    @Column
    private Boolean fromPO;

    @Column
    private String poNumber;

    @Temporal(TemporalType.DATE)
    @Column
    private Date transactionDate;

    @Column(length = 250, nullable = false)
    private String description;

    @Column
    private TransStatus status;

    @Column
    private BigDecimal subTotal;

    @Column
    private BigDecimal disc;

    @Column
    private BigDecimal ppn;

    @Column
    private BigDecimal grandTotal;

}
